wai-extra-1.3.3.2: Provides some basic WAI handlers and middleware.

Safe Haskell | None

Network.Wai.Middleware.MethodOverride

Synopsis

- methodOverride :: Middleware

# Documentation

methodOverride :: Middleware Source

Allows overriding of the HTTP request method via the _method query string parameter.

This middlware only applies when the initial request method is POST. This allow submitting of normal HTML forms, without worries of semantics mismatches in the HTTP spec.